Bug 1413812 - Libreoffice writer take a STUPID while, while Arabic session and Arabic auto correction
Summary: Libreoffice writer take a STUPID while, while Arabic session and Arabic auto ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 25
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 01:55 UTC by Mosaab Alzoubi
Modified: 2017-02-27 10:33 UTC (History)
6 users (show)

Fixed In Version: libreoffice-5.2.4.2-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-20 18:07:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Document Foundation 96354 None None None 2017-01-18 12:21:19 UTC

Description Mosaab Alzoubi 2017-01-17 01:55:54 UTC
Description of problem:
Libreoffice writer take a STUPID while, while Arabic session and Arabic auto correction !! Just in Fedora repos official packages !!! not in Libreoffice site Fedora packages !!!

Version-Release number of selected component (if applicable):
5.2.3.3

How reproducible:


Steps to Reproduce:
1. Run writer in Arabic session (LANG=ar_SY libreoffice)
2. Check if AutoCorrection enabled
3. Write 5 letters Arabic word then press Enter

Actual results:
STUPID slow moving to new line.

Expected results:
Fast moving to new line.

Additional info:

Comment 1 Fedora Update System 2017-01-18 16:21:43 UTC
libreoffice-5.2.4.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d20e8f680b

Comment 2 Fedora Update System 2017-01-19 09:12:09 UTC
libreoffice-5.2.4.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d20e8f680b

Comment 3 Fedora Update System 2017-01-20 18:07:16 UTC
libreoffice-5.2.4.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Tareef 2017-02-25 11:30:19 UTC
will it pushed to upstream so other Linux distributions. can received this patch?

Comment 5 Caolan McNamara 2017-02-27 10:16:51 UTC
if you follow the "external bugtracker" link you get to https://bugs.documentfoundation.org/show_bug.cgi?id=96354 and the commit bot for LibreOffice tags the bug with the upstream release that receives the fix, 5.2.6 in this case, so other distributions that have >= that version have the fix. And other distributions can if they need to backport that individual fix to earlier versions like we did here.

Comment 6 Tareef 2017-02-27 10:33:13 UTC
Well, thanks for the clarification


Note You need to log in before you can comment on or make changes to this bug.